package schedframe.events.scheduling;

import schedframe.events.EventType;

public enum SchedulingEventType implements EventType {

	// task related
	TASK_FINISHED,
	TASK_FAILED,
	TASK_CANCELED,
	TASK_ARRIVED,
	TASK_PAUSED,
	TASK_RESUMED,
	TASK_MOVED,
	TASK_EXECUTION_CHANGED,
	START_TASK_EXECUTION,
	TASK_REQUESTED_TIME_EXPIRED,

	//job related
	JOB_ARRIVED,
	JOB_FINISHED,
	JOB_FAILED,
	JOB_CANCELED,

	//time related
	TIMER,
		
	//resource related
	RESOURCE_FAILED,
	//provider related (relevant to grid scheduling)
	PROVIDER_FAILED,

	RESOURCE_STATE_CHANGED,
	RESOURCE_POWER_STATE_CHANGED,
	
	RESOURCE_POWER_LIMIT_EXCEEDED;

	
	public String getName(){
		return toString();
	}
}
